### Method

# Soup Cookie applies_to_uri

#### Declaration [src]

    gboolean
    soup_cookie_applies_to_uri (
      SoupCookie* cookie,
      GUri* uri
    )

#### Description [src]

Tests if `cookie` should be sent to `uri`.

(At the moment, this does not check that `cookie`‘s domain matches `uri`, because it assumes that the caller has already done that. But don’t rely on that; it may change in the future.)

#### Parameters

`uri`

  Type: `GUri`

  A `GUri`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `cookie` should be sent to `uri`, `FALSE` if not.